Bug 737763 - [Fedora FEAT] QEMU static tracing framework
[Fedora FEAT] QEMU static tracing framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
15
other All
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: FutureFeature
: 714755 (view as bug list)
Depends On: 632722
Blocks: 655920 538808 580566 580954 LibvirtQEMUTrace
  Show dependency treegraph
 
Reported: 2011-09-12 23:28 EDT by William Cohen
Modified: 2013-01-09 19:18 EST (History)
25 users (show)

See Also:
Fixed In Version: qemu-0.15.0-4.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 632722
Environment:
Last Closed: 2011-09-30 15:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Daniel Berrange 2011-09-13 05:09:49 EDT
Thanks for the specfile patch. It'll need a small tweak to make sure each tapset gets put into the appropriate sub-RPM for that arch, but I'll do that when I apply it to GIT
Comment 2 Daniel Berrange 2011-09-13 06:19:02 EDT
*** Bug 714755 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2011-09-13 07:55:56 EDT
qemu-0.15.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qemu-0.15.0-4.fc16
Comment 4 William Cohen 2011-09-13 09:59:18 EDT
One deficiency in the currently patch for the qemu.spec is there is no qemu-kvm.stp being generated. Given that /usr/bin/qemu-kvm is the binary being used by default, the qemu.spec should also have tracetool generate a matching qemu-kvm.stp.
Comment 5 Daniel Berrange 2011-09-13 10:11:40 EDT
I fixed that with this addition to the specfile

+./scripts/tracetool --dtrace --binary %{_bindir}/qemu-kvm \
+  --target-arch x86_64 --target-type system --stap \
+  --probe-prefix qemu.kvm < ./trace-events > qemu-kvm.stp
Comment 6 Daniel Berrange 2011-09-13 10:12:05 EDT
The full addition can be seen in Fedora GIT for qemu:

commit 7b1d66018c7c7cbb5a1305a46a9672cb1125436b
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Tue Sep 13 11:24:38 2011 +0100

    Enable DTrace tracing backend for SystemTAP (rhbz #737763)
Comment 7 Fedora Update System 2011-09-13 18:23:16 EDT
Package qemu-0.15.0-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-0.15.0-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/qemu-0.15.0-4.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-09-30 15:19:55 EDT
qemu-0.15.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.